import request from '@/utils/request'

export function listPackageSolarTerm(query) {
  return request({
    url: '/his/packageSolarTerm/list',
    method: 'get',
    params: query
  })
}

export function getPackageSolarTerm(solarTermId) {
  return request({
    url: '/his/packageSolarTerm/' + solarTermId,
    method: 'get'
  })
}

export function addPackageSolarTerm(data) {
  return request({
    url: '/his/packageSolarTerm',
    method: 'post',
    data: data
  })
}

export function updatePackageSolarTerm(data) {
  return request({
    url: '/his/packageSolarTerm',
    method: 'put',
    data: data
  })
}

export function delPackageSolarTerm(solarTermIds) {
  return request({
    url: '/his/packageSolarTerm/' + solarTermIds,
    method: 'delete'
  })
}

export function getOptions() {
  return request({
    url: '/his/packageSolarTerm/getOptions',
    method: 'get'
  })
}
